TIBCO FTL®

Public Member Functions | List of all members
TIBCO.FTL.ITibBrowser Interface Reference

Programs can use browsers to inspect and delete existing messages in shared durables. More...

Inheritance diagram for TIBCO.FTL.ITibBrowser:

## Public Member Functions
void | DeleteMessage (IMessage message)
| Delete a browsed message from the durable. More...
IMessage | Next ()
| Retrieve the next message in the durable. More...
void | Reset ()
| Return the browser to the first message in the durable. More...

## Detailed Description

Programs can use browsers to inspect and delete existing messages in shared durables.

To create a browser object, see IRealm.CreateBrowser.

This file defines browser calls.

## Member Function Documentation

## ◆ DeleteMessage()

void TIBCO.FTL.ITibBrowser.DeleteMessage | ( | IMessage | message | ) |

Delete a browsed message from the durable.

This call deletes the specified message from the browser's durable. The message is deleted even if it has since been delivered to a live subscriber.

This call only accepts messages returned from calls to ITibBrowser.Next() or mutable copies of such messages. See IMessage.MutableCopy().

Parameters

  message | The call removes this message.

## ◆ Next()

IMessage TIBCO.FTL.ITibBrowser.Next | ( |  | ) |

Retrieve the next message in the durable.

A browser starts at the first available message in the durable. Each call to this function advances the browser to the next available message.

The browser will not return messages that have been delivered to live subscribers. To browse every message it may be necessary to stop all subscribers on the durable.

Messages returned by the browser may be delivered to, and acknowledged by, live subscribers at any time.

If the connection to the persistence service is interrupted, or some other error occurs, the call will fail, regardless of any retry duration. When this happens, calls to this function will continue to fail until ITibBrowser.Reset() is called, or a new browser is created.

The library owns the message object, and may destroy it after the program calls ITibBrowser.Next() or
ITibBrowser.Reset(). Application code may take a copy of the message via IMessage.MutableCopy().

Returns
  A message. No more data indicated by `null`.

## ◆ Reset()

void TIBCO.FTL.ITibBrowser.Reset | ( |  | ) |

Return the browser to the first message in the durable.

Applications may call this function to return to the beginning of the durable. The next call to ITibBrowser.Next() will return the first available message.

If ITibBrowser.Next() fails, it is necessary to call this function to continue using the browser.

Returns
  void